
From: FabF <Fabian.Frederick@skynet.be>

Use the pre-existing enum rather than magic numbers.


---

 25-akpm/fs/partitions/msdos.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/partitions/msdos.c~use-dos_extended_partition fs/partitions/msdos.c
--- 25/fs/partitions/msdos.c~use-dos_extended_partition	Fri Apr 23 13:39:49 2004
+++ 25-akpm/fs/partitions/msdos.c	Fri Apr 23 13:39:49 2004
@@ -407,8 +407,8 @@ int msdos_partition(struct parsed_partit
 	 * On the second pass look inside *BSD, Unixware and Solaris partitions.
 	 */
 
-	state->next = 5;
-	for (slot = 1 ; slot <= 4 ; slot++, p++) {
+	state->next = DOS_EXTENDED_PARTITION;
+	for (slot = 1 ; slot < DOS_EXTENDED_PARTITION ; slot++, p++) {
 		u32 start = START_SECT(p)*sector_size;
 		u32 size = NR_SECTS(p)*sector_size;
 		if (!size)
@@ -435,7 +435,7 @@ int msdos_partition(struct parsed_partit
 
 	/* second pass - output for each on a separate line */
 	p = (struct partition *) (0x1be + data);
-	for (slot = 1 ; slot <= 4 ; slot++, p++) {
+	for (slot = 1 ; slot < DOS_EXTENDED_PARTITION ; slot++, p++) {
 		unsigned char id = SYS_IND(p);
 		int n;
 

_
